petsc-3.4.2 2013-07-02

# PetscIsInfOrNan

Returns 1 if the input double has an infinity for Not-a-number (Nan) value, otherwise 0.

### Synopsis

    #if defined(PETSC_USE_REAL___FLOAT128)
    PetscErrorCode PetscIsInfOrNanScalar(PetscScalar a)

### Input Parameter

a -the double

Notes: uses the C99 standard isinf() and isnan() on systems where they exist. Otherwises uses ((a - a) != 0.0), note that some optimizing compiles compile out this form, thus removing the check.

Level:beginner
Location:src/sys/utils/mathinf.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages